#!/bin/bash
# Lines starting #PBS are interpreted by the maui queue scheduler 
# (are *not* comments).  use ##PBS to comment out maui commands.
#
# See /info/pbs/ for example scripts.
#
# <PBS queue commands.>
#
# Queue name (see eg /info/destiny-queues.txt) [defaults are set.]
#PBS -q t1
#
# Name
#PBS -N testcode_job_testcode.jobdir
#
#PBS -l walltime=00:30:00
# 
# </PBS queue commands.>

wd=$PBS_O_WORKDIR
scratch=/scratch/jss43/job-$PBS_JOBID
echo -e "Starting job $PBS_JOBID in $wd at `date`\n"

# testcode fills in
jobinput=testcode.jobinput
joboutput=testcode.joboutput

# Initialise: mkdir, cp.
export PP_LIBRARY_PATH=/home/jss43/CPMD/PP_LIBRARY
files_to_copy='FCIDUMP HONEEL SAV_*'
mkdir -p $scratch  # -p makes parent dir if they don't exist.
cd $wd
rcp $wd/$jobinput $scratch
for f in $files_to_copy; do
    if [ -f $f ]; then
        rcp $wd/$f $scratch
    fi
done

cd $scratch
# Check copying.
echo 'Listing files in scratch dir: '`pwd`
ls

echo 'Running job.'
testcode.runcmd
echo 'Copying files back.'
rcp $scratch/* $wd

echo 'Finished at '`date`
